Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063043 - Review Request: cdbs - Common build system for Debian packages
Summary: Review Request: cdbs - Common build system for Debian packages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1063044
TreeView+ depends on / blocked
 
Reported: 2014-02-09 18:04 UTC by Sandro Mani
Modified: 2014-03-02 03:42 UTC (History)
2 users (show)

Fixed In Version: cdbs-0.4.122-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-02 03:42:14 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Sandro Mani 2014-02-09 18:04:02 UTC
Spec URL: http://smani.fedorapeople.org/review/cdbs.spec
SRPM URL: http://smani.fedorapeople.org/review/cdbs-0.4.122-1.fc21.src.rpm
Description: Common build system for Debian packages
Fedora Account System Username: smani

Comment 1 Christopher Meng 2014-02-10 01:01:22 UTC
dpkg-dev provides that dpkg-checkbuilddeps.

But dpkg-dev in Fedora needs an update to 1.17...

Comment 2 Sandro Mani 2014-02-10 01:05:55 UTC
dpkg-checkbuilddeps exists but does not work, i.e. you get

$ dpkg-checkbuilddeps 
dpkg-checkbuilddeps: Unmet build dependencies: build-essential:native

For dpkg-checkbuilddeps to work, you need a dpkg database on your system with the respective packages installed which dpkg-checkbuilddeps is looking for. This will hardly work on Fedora.

Comment 3 Sandro Mani 2014-02-15 22:33:08 UTC
Hi Christopher, any chance of finishing this? Thanks!

Comment 4 Christopher Meng 2014-02-19 02:16:40 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



Issues:
=======
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find licensecheck2dep5 in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 15 files have unknown
     license. Detailed output of licensecheck:

GPL (v2 or later)
-----------------
cdbs-0.4.122/test/autotools-1.sh
cdbs-0.4.122/test/autotools-2.sh
cdbs-0.4.122/test/autotools-3.sh
cdbs-0.4.122/test/autotools-4.sh
cdbs-0.4.122/test/autotools-5.sh
cdbs-0.4.122/test/autotools-lzma.sh
cdbs-0.4.122/test/autotools/main.c
cdbs-0.4.122/test/distutils-10.sh
cdbs-0.4.122/test/distutils-11.sh
cdbs-0.4.122/test/distutils-9.sh
cdbs-0.4.122/test/hdparm.sh
cdbs-0.4.122/test/pbuilder-all.sh
cdbs-0.4.122/test/recursive.sh
cdbs-0.4.122/test/udeb-1.sh

Unknown or generated
--------------------
cdbs-0.4.122/doc/cdbs-doc-xhtml.xsl
cdbs-0.4.122/doc/gen-dotty.pl
cdbs-0.4.122/test/ant-1.sh
cdbs-0.4.122/test/ant/Test.java
cdbs-0.4.122/test/debhelper-1.sh
cdbs-0.4.122/test/debhelper-2.sh
cdbs-0.4.122/test/debhelper-3.sh
cdbs-0.4.122/test/debhelper-4.sh
cdbs-0.4.122/test/debhelper-5.sh
cdbs-0.4.122/test/debhelper-6.sh
cdbs-0.4.122/test/debhelper-7.sh
cdbs-0.4.122/test/distutils/setup.py
cdbs-0.4.122/test/distutils/src/foo.py
cdbs-0.4.122/test/list-missing-1.sh
cdbs-0.4.122/test/patchsys-1.sh

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: cdbs-0.4.122-1.fc21.i686.rpm
          cdbs-0.4.122-1.fc21.src.rpm
cdbs.i686: W: spelling-error %description -l en_US overridable -> irrecoverable
cdbs.i686: W: incoherent-version-in-changelog 0.4.122 ['0.4.122-1.fc21', '0.4.122-1']
cdbs.i686: E: no-binary
cdbs.src: W: spelling-error %description -l en_US overridable -> irrecoverable
2 packages and 0 specfiles checked; 1 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint cdbs
cdbs.i686: W: spelling-error %description -l en_US overridable -> irrecoverable
cdbs.i686: W: incoherent-version-in-changelog 0.4.122 ['0.4.122-1.fc21', '0.4.122-1']
cdbs.i686: E: no-binary
1 packages and 0 specfiles checked; 1 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
cdbs (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/perl
    /usr/bin/python



Provides
--------
cdbs:
    cdbs
    cdbs(x86-32)



Source checksums
----------------
http://ftp.de.debian.org/debian/pool/main/c/cdbs/cdbs_0.4.122.tar.gz :
  CHECKSUM(SHA256) this package     : 0ba0f3fd04a1199e999d4dc92b2210084340be1c42d9cb950f340197fdf11cef
  CHECKSUM(SHA256) upstream package : 0ba0f3fd04a1199e999d4dc92b2210084340be1c42d9cb950f340197fdf11cef


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -rvn cdbs-0.4.122-1.fc21.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 5 Sandro Mani 2014-02-19 09:16:30 UTC
Spec URL: http://smani.fedorapeople.org/review/cdbs.spec
SRPM URL: http://smani.fedorapeople.org/review/cdbs-0.4.122-1.fc21.src.rpm

%changelog
* Wed Feb 19 2014 Sandro Mani <manisandro@gmail.com> - 0.4.122-2
- Make package noarch

Comment 6 Christopher Meng 2014-02-20 06:48:54 UTC
URL should be http://anonscm.debian.org/gitweb/?p=collab-maint/cdbs.git

PACKAGE APPROVED.

Comment 7 Sandro Mani 2014-02-20 10:12:59 UTC
Thank you! I'll update the URL when importing.

New Package SCM Request
=======================
Package Name: cdbs
Short Description: Common build system for Debian packages
Owners: smani
Branches: f20
InitialCC:

Comment 8 Gwyn Ciesla 2014-02-20 13:50:51 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2014-02-20 14:29:24 UTC
cdbs-0.4.122-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cdbs-0.4.122-2.fc20

Comment 10 Fedora Update System 2014-02-22 00:54:45 UTC
cdbs-0.4.122-2.fc20 has been pushed to the Fedora 20 testing repository.

Comment 11 Fedora Update System 2014-03-02 03:42:14 UTC
cdbs-0.4.122-2.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.